import { WatchOptions as RollupWatchOptions } from "rollup";
import { Nullable } from "./bundlib-options";
import { BrowserBuildFormat, BundlibRollupOptions, BundlibRollupOutputOptions, FilterablePlugins, ModuleBuildFormat, RollupSourcemap } from "./types";
export declare function createConfig(input: string, output: BundlibRollupOutputOptions, external: Nullable<string[]>, plugins: FilterablePlugins, chokidar: boolean | RollupWatchOptions): BundlibRollupOptions;
export declare function createModuleConfig(input: string, format: ModuleBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, external: Nullable<string[]>, plugins: FilterablePlugins, chokidar: boolean | RollupWatchOptions): BundlibRollupOptions;
export declare function createBrowserConfig(input: string, format: BrowserBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, plugins: FilterablePlugins, chokidar: boolean | RollupWatchOptions, name: string, extend: boolean, globals: Nullable<Record<string, string>>, id: Nullable<string>): BundlibRollupOptions;
