import { BundlibPkgJson } from "./pkg";
import { BrowserBuildFormat, RollupSourcemap } from "./types";
export declare type ModuleOutputFields = "main" | "module" | "browser";
export declare type OutputFields = ModuleOutputFields | "bin" | "types";
export declare type InputFiles = Record<"api" | "bin", string>;
export declare type OutputFiles = Record<OutputFields, string | null>;
export declare type Dependencies = Record<"runtime" | "peer" | "optional", string[] | null>;
export declare type MinifyOptions = Record<ModuleOutputFields, boolean>;
export interface BrowserOptions {
    format: BrowserBuildFormat;
    name: string | null;
    id: string | null;
    globals: Record<string, string> | null;
}
export declare type FlagField = "extend" | "esModule" | "interop" | "equals";
export declare type OutputOptions = Record<FlagField, boolean>;
export interface AnalizedPkg {
    cwd: string;
    pkg: BundlibPkgJson;
    input: InputFiles;
    output: OutputFiles;
    sourcemap: RollupSourcemap;
    dependencies: Dependencies;
    browser: BrowserOptions;
    minify: MinifyOptions;
    options: OutputOptions;
    cache: string;
}
