import { IsExternal, ModuleFormat as RollupModuleFormat, OutputOptions as RollupOutputOptions, Plugin, RollupOptions, WatcherOptions as RollupWatcherOptions } from "rollup";
import { Nullable } from "./bundlib-options";
declare type OutputExtraExcludeKeys = "file" | "format" | "sourcemap" | "esModule" | "interop";
declare type ConfigExtraExcludeKeys = "input" | "output" | "external" | "plugins" | "watch";
export declare type OutputExtra = Omit<RollupOutputOptions, OutputExtraExcludeKeys>;
export declare type RollupSourcemap = boolean | "inline";
export declare type FilterablePlugins = Array<Nullable<Plugin | false>>;
export declare type ModuleBuildFormat = Extract<RollupModuleFormat, "cjs" | "es">;
export declare type BrowserBuildFormat = Extract<RollupModuleFormat, "iife" | "amd" | "umd">;
export declare type BundlibBuildFormat = ModuleBuildFormat | BrowserBuildFormat;
export interface BundlibRollupOutputOptions extends RollupOutputOptions, Record<OutputExtraExcludeKeys, any> {
    file: string;
    format: BundlibBuildFormat;
    sourcemap: RollupSourcemap;
    esModule: boolean;
    interop: boolean;
}
export interface BundlibRollupOptions extends RollupOptions, Record<ConfigExtraExcludeKeys, any> {
    input: string;
    output: BundlibRollupOutputOptions;
    external: IsExternal;
    plugins: Plugin[];
    watch: RollupWatcherOptions;
}
export {};
